GNU bug report logs - #46221
GNUmakefile mode: second colons inside variables influence colors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #17400, #33681, #33900, #35299, #36245, #37934, #45037, #46052, #48052; dated Mon, 1 Feb 2021 01:08:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 17400 33681 33900 35299 36245 37934 45037 46052 46221 48052. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299 36245 45037 46052 46221. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Feb 2021 01:07:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 31 20:07:54 2021
Received: from localhost ([127.0.0.1]:58377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l6Nh4-0005bk-35
	for submit <at> debbugs.gnu.org; Sun, 31 Jan 2021 20:07:54 -0500
Received: from lists.gnu.org ([209.51.188.17]:49830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1l6Nh1-0005bc-Ba
 for submit <at> debbugs.gnu.org; Sun, 31 Jan 2021 20:07:53 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43772)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1l6Nh1-0005Gj-69
 for bug-gnu-emacs@HIDDEN; Sun, 31 Jan 2021 20:07:51 -0500
Received: from cyan.elm.relay.mailchannels.net ([23.83.212.47]:64865)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1l6Ngw-0001KQ-Uu
 for bug-gnu-emacs@HIDDEN; Sun, 31 Jan 2021 20:07:50 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 604581E38F6
 for <bug-gnu-emacs@HIDDEN>; Mon,  1 Feb 2021 01:07:42 +0000 (UTC)
Received: from pdx1-sub0-mail-a93.g.dreamhost.com
 (100-96-16-7.trex.outbound.svc.cluster.local [100.96.16.7])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 2AF2A1E1AE3
 for <bug-gnu-emacs@HIDDEN>; Mon,  1 Feb 2021 01:07:42 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a93.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.96.16.7 (trex/6.0.2); Mon, 01 Feb 2021 01:07:42 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Thread-Well-Made: 1cbcfe676d872cbe_1612141662214_2037721723
X-MC-Loop-Signature: 1612141662214:1583983032
X-MC-Ingress-Time: 1612141662214
Received: from pdx1-sub0-mail-a93.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a93.g.dreamhost.com (Postfix) with ESMTP id DE0DF8608F
 for <bug-gnu-emacs@HIDDEN>; Sun, 31 Jan 2021 17:07:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=n8WZmMA4qB+WNuSqz2kCK77DpBU=; b=csqptshBqJAx1gxw
 p7+mRkpcIguEKH4+6n8mrYXFcuZ5BXmYwmaAlZmc4rI7KCWX6GT17wgm00+F/zjd
 artoGJvAL0HJbLbBrEqPIVzU7XuD34MmXWYEC199c7+kKbWhPY+7LDmArOI+zpex
 iEtLfblP3VVU4Bs3ALJCzcKLc6Y=
Received: from jidanni.org (114-46-61-14.dynamic-ip.hinet.net [114.46.61.14])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a93.g.dreamhost.com (Postfix) with ESMTPSA id A8B1386088
 for <bug-gnu-emacs@HIDDEN>; Sun, 31 Jan 2021 17:07:41 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a93
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: GNUmakefile mode: second colons inside variables influence colors
Date: Mon, 01 Feb 2021 09:07:37 +0800
Message-ID: <87im7c8ujq.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=23.83.212.47; envelope-from=jidanni@HIDDEN;
 helo=cyan.elm.relay.mailchannels.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

$ cat Makefile
S=q=author:jidanni+commenter:nibblesburg&type=issues
#............................^Funny^colors^^^......

emacs-version "27.1"




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46221; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 27 Apr 2021 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.